Skip to main content

An employee-attribute represents a single property value of an employee or any of their directly related resources.

It can be:

  • a property of the employee resource;
  • a property of their employment resources;
  • a property of their job-position resource;
  • an extension property of any of these resources, either user-defined or application-defined.

Such representation makes it possible to retrieve all attributes of an employee in a uniform manner.

id
string
Minimum string length: 1
type
string
Allowed value: "employee-attribute"
url
string<uri>
definition
employee-attribute-definition-reference · object
employee
employee-reference · object

Reference to an employee resource.

employment
employment · object

The employment resource represents a relationship between an employee and a legal-entity over a continuous period. It may actually represent a work contract, an internship agreement, a contractor's contract, etc...

The actual job of the employee is defined through the job-position resource, which references an employment. Over the course of his/her employment, the employee may occupy several job-positions.

Example:
{
"id": "4561",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/4561",
"remoteId": "EMPLOYMENT#4512-ac",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"status": "active",
"start": { "date": "2024-01-01" },
"end": null,
"document": {
"id": "74411",
"type": "file",
"url": "https://example.ilucca.net/lucca-api/files/74411"
},
"template": {
"id": "4",
"type": "employment-template",
"url": "https://example.ilucca.net/lucca-api/employment-templates/4"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.id=4561"
},
"probationaryPeriods": {
"href": "https://example.ilucca.net/lucca-api/probationary-periods?employment.id=4561"
}
}
}
jobPosition
job-position · object

The job position represents a stage in an employee's career during one of their employment in a given business-establishment.

It therefore outlines the attributes of the person as a professional (qualifications) and their role in the company as well as who's their manager.

Example:
{
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74",
"remoteId": null,
"employment": {
"id": "28",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/28"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"status": "active",
"startsOn": "2024-01-01",
"endsOn": null,
"businessEstablishment": {
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5"
},
"jobTitle": "Developer",
"jobQualification": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982"
},
"manager": {
"id": "541",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/541"
},
"occupationCategory": {
"id": "12",
"type": "occupation-category",
"url": "https://example.ilucca.net/lucca-api/occupation-categories/12"
},
"workingTimeArrangement": {
"id": "23",
"type": "working-time-arrangement",
"url": "about:blank"
},
"department": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32"
},
"document": null,
"notes": null,
"t9n": { "jobTitle": { "fr-FR": "Développeur" } },
"updatedAttributes": ["jobTitle", "jobQualification"],
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
applicability
object

The time window during which this attribute value applies to the employee.

When the attribute comes from a time-bounded resource (e.g. employment, job-position), then its applicability is directly dependent on the target resource start and end.

start: null must be interpreted as "since the beginning of time", and end: null as "until the end of time".

If the attribute has no temporal dimension (e.g. employee.givenName, custom extensions), both the start and end are null. It must be interpreted as "applies indefinitely".

The applicability.asOf query parameter can be used to filter by date.

value
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"